﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour
{

  public int healingPoints = 10;
  public bool destroyTrap = false;
  public int speed = 5;

  private AudioSource audioShoot;
  public AudioSource audioHit;

  void Start()
  {
    audioShoot = GetComponent<AudioSource>();
  }

  /// <summary>
  /// Das aufrufen, wenn die Kugel wirklich losgeschossen werden soll.
  /// </summary>
  /// <param name="direction"></param>
  public void shoot(Vector2 direction)
  {
    GetComponent<Rigidbody2D>().velocity = (float)speed * direction.normalized;
    if(audioShoot)audioShoot.Play();
  }

  void OnTriggerEnter2D(Collider2D other)
  {
    if (other.tag == "Obstacle")
    {
      Destroy(gameObject);
    }
    else if (healingPoints > 0 && other.tag == "Player")
    {
      if (audioHit) audioHit.Play();
      other.GetComponent<PlayerHealth>().changeHealthBy(healingPoints);
      Invoke("destroy", 0.15f);
    }
    else if (destroyTrap && other.tag == "Trap")
    {
      //TODO für Tim: ACHTUNG Trap braucht Tag Trap.
      other.GetComponent<Trap>().destroyTrap();
      Destroy(gameObject);
    }
  }

  void destroy()
  {
    Destroy(gameObject);
  }

}
