﻿using UnityEngine;
using System.Collections;

public class PowerUpScript : MonoBehaviour
{

  /// <summary>
  /// sollte übereinstimmen mit PlayerControl.POWERUP_XXX
  /// 0 == none
  /// 1 == Heal
  /// </summary>
  public int type;

  public float respawnTime = 5.0f;
  // used to store the position while the trap is deactivated
  private Vector2 realPosition;
  private AudioSource pickupAudio;

  void Start()
  {
    pickupAudio = GetComponent<AudioSource>();
  }

  void OnTriggerEnter2D(Collider2D other)
  {
    if (other.tag == "Player")
    {
      if (pickupAudio) pickupAudio.Play();
      other.GetComponent<PlayerControl>().setPowerUpType(type);
      destroyPowerUp();
    }
  }

  public void destroyPowerUp()
  {
    realPosition = transform.position;
    transform.position = new Vector2(100, 100);//TODO setze auf 1000 oder so, zur sicherheit.
    Invoke("Activate", respawnTime);
  }

  void Activate()
  {
    transform.position = realPosition;
  }
}
